{ lib, config, ... }: {
  config = lib.mkIf (config.usercfg.wm == "X11") {
    xresources.extraConfig = ''

      #define white #ffffff
      #define black #000000
      #define cFG #${config.colorScheme.palette.base07}
      #define cBG #${config.colorScheme.palette.base00}
      #define cP #${config.colorScheme.palette.base07}
      #define cH #${config.colorScheme.palette.base0C}
      #define c0 #${config.colorScheme.palette.base00}
      #define c1 #${config.colorScheme.palette.base01}
      #define c2 #${config.colorScheme.palette.base02}
      #define c3 #${config.colorScheme.palette.base03}
      #define c4 #${config.colorScheme.palette.base04}
      #define c5 #${config.colorScheme.palette.base05}
      #define c6 #${config.colorScheme.palette.base06}
      #define c7 #${config.colorScheme.palette.base07}
      #define c8 #${config.colorScheme.palette.base08}
      #define c9 #${config.colorScheme.palette.base09}
      #define cA #${config.colorScheme.palette.base0A}
      #define cB #${config.colorScheme.palette.base0B}
      #define cC #${config.colorScheme.palette.base0C}
      #define cD #${config.colorScheme.palette.base0D}
      #define cE #${config.colorScheme.palette.base0E}
      #define cF #${config.colorScheme.palette.base0F}

      Xft.dpi: 96

      URxvt.perl-ext-common: default,matcher,tabbed
      URxvt.url-launcher: firefox
      URxvt.matcher.button: 1
      URxvt.url-select.launcher: firefox
      URxvt.url-select.underline: true

      !URxvt*loginShell: true
      !URxvt*borderless: true
      URxvt*dynamicColors: on

      URxvt*foreground: cFG
      URxvt*background: cBG

      URxvt*saveLines:        8192
      URxvt*mapAlert:        true
      !URxvt*visualBell:       true
      URxvt*pastableTabs:     false

      URxvt*transparent: True
      URxvt*shading: 25

      URxvt*cursorColor:  cP
      URxvt*throughColor: cF
      !URxvt*highlightColor: cH

      URxvt*font:       xft:IBMPlexMono:style=Regular:size=10, xft:OpenMoji:size=11, xft:MaterialDesignIcons:size=11
      URxvt*boldFont:   xft:IBMPlexMono:style=Bold:size=10
      URxvt*italicFont: xft:IBMPlexMono:style=Oblique:size=10

      URxvt.iso14755:   False
      URxvt.scrollBar: False
      URxvt.scrollBar_right: False
      URxvt.scrollBar_floating: False
      URxvt.scrollstyle: rxvt

      URxvt.tabbed.tabbar-fg: 7
      URxvt.tabbed.tabbar-bg: 0
      URxvt.tabbed.tab-fg: 7
      URxvt.tabbed.tab-bg: 1

      URxvt.letterSpace: true

      Xft.antialias: True
      Xft.autohint: False
      Xft.hinting: True

      !*.foreground: cFG
      !*.background: cBF
      !*.cursorColor: cP

      !*fading:35
      !*faceColor:c1

      *.color0:  c0
      *.color1:  c1
      *.color2:  c2
      *.color3:  c3
      *.color4:  c4
      *.color5:  c5
      *.color6:  c6
      *.color7:  c7
      *.color8:  c8
      *.color9:  c9
      *.color10: cA
      *.color11: cB
      *.color12: cC
      *.color13: cD
      *.color14: cE
      *.color15: cF
    '';
  };
}
